Fetch top user agents
curl --request GET \
--url https://api.gcore.com/waap/v1/ip-info/top-user-agents \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/waap/v1/ip-info/top-user-agents"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/waap/v1/ip-info/top-user-agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"user_agent": "<string>",
"count": 123
}
]{
"type": "http-bad-request",
"title": "Bad Request",
"status": 400,
"detail": "Invalid domain name: ''''"
}{
"detail": "Auth token is missing or invalid"
}{
"detail": "Permission denied"
}{
"type": "http-not-found",
"title": "Not Found",
"status": 404,
"detail": "The resource is not found"
}{
"type": "request-validation-failed",
"title": "Request validation error.",
"status": 422,
"detail": "One or more fields have validation errors.",
"errors": [
{
"loc": [
"body",
"name"
],
"detail": "Input should be a valid string"
},
{
"loc": [
"body",
"date"
],
"detail": "Field required"
},
{
"loc": [
"query",
"limit"
],
"detail": "Field required"
}
]
}{
"type": "internal-server-error",
"title": "Internal server error.",
"status": 500,
"detail": "An unexpected condition was encountered which prevented the server from fulfilling the request."
}IP Spotlight
Fetch top user agents
Retrieve the top 10 user agents interacting with a specified domain, filtered by IP.
GET
/
waap
/
v1
/
ip-info
/
top-user-agents
Fetch top user agents
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Query Parameters
The IP address to check
The identifier for a domain. When specified, the response will exclusively contain data pertinent to the indicated domain, filtering out information from other domains.
Was this page helpful?
Retrieve top 10 accessed URLs for an IP on a domainGet top attacked domains from a specific IP (account-scoped)
⌘I